server:
  port: 8033
  servlet:
    context-path: /ebayUkReport

spring:
    datasource:
        name: mysql_datacenter
        type: com.alibaba.druid.pool.DruidDataSource
        #druid相关配置
        druid:
          #监控统计拦截的filters
          filters: stat
          driver-class-name: com.mysql.jdbc.Driver
          #基本属性
          url: jdbc:mysql://gz-cdb-kp7s5i79.sql.tencentcdb.com:61691/bailun_datacenter?useUnicode=true&characterEncoding=UTF-8&useSSL=false&allowMultiQueries=true
          username: root
          password: "#7kfnymAM$Y9-Ntf"
          #配置初始化大小/最小/最大
          initial-size: 1
          min-idle: 1
          max-active: 20
          #获取连接等待超时时间
          max-wait: 60000
          #间隔多久进行一次检测，检测需要关闭的空闲连接
          time-between-eviction-runs-millis: 60000
          #一个连接在池中最小生存的时间
          min-evictable-idle-time-millis: 300000
          validation-query: SELECT 'x'
          test-while-idle: true
          test-on-borrow: false
          test-on-return: false
          #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
          pool-prepared-statements: false
          max-pool-prepared-statement-per-connection-size: 20

mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.bailuntec.profitstatistics.entity
  configuration:
    map-underscore-to-camel-case: true

logging:
  file: log/ebayUkReport.log

url:
  # 新财务系统
  cwSystem: http://cw.bailuntec.com
  # 获取公司主体
  getCompanyMainBody: ${url.cwSystem}/API/API/GetCompanyMainBody
  # 获取银行账号余额
  getBankAccountBalance: ${url.cwSystem}/api/api/GetBankAccountSummary
  # 获取平台提现在途资金信息
  getWithdrawOnWaySummary: ${url.cwSystem}/api/api/GetWithdrawOnWaySummary
  # 获取公司主体借款余额
  getBorrowBalance: ${url.cwSystem}/api/api/GetBorrows
  # 获取汇率
  getExchangeRate: http://www.bailuntec.com/api/ExchangeRate/GetRmbExchangeRates
#  getExchangeRate: http://www.bailuntec.com/api/ExchangeRate/GetExchangeRate
  # 获取销售平台和站点信息
  getPlatformAndSite: http://pams.bailuntec.com/Api/GetPlatformSites
  # 获取供应商往来数据：应付账款和预付账款
  getSupplierTransaction: http://purchase.bailuntec.com/api/GetList_SupplierTransactionStatictis
  # 获取与 其他应付款 和 其他应收款 相关的费用系统费用单
  getOtherCost: http://api.fee.bailuntec.com/purchase/other/cost/api/balanceSheetCost
  # 获取与 固定资产 相关的费用系统采购单
  getOtherBuy: http://api.fee.bailuntec.com/purchase/other/buy/api/balanceSheetBuy
  # 获取待付款的付款单 变成 已付款状态的记录
  getNoPayCost: http://api.fee.bailuntec.com/purchase/other/cost/api/noPayCost
  # 获取物流供应商往来数据
  getLogisticsSupplierTransaction: http://purchase.bailuntec.com/api/GetList_SupplierTransactionExpress
  # 获取半成品原料SKU信息
  getSemiSku: http://mjpms.bailuntec.com/api/MaterialData
  # 获取半成品供应商报价流水
  getSemiSupOfferLog: http://mjgys.bailuntec.com/api/SupofferLog
  # 获取半成品库存流水
  getSemiStockLog: http://mjzz.bailuntec.com/api/StockLog


